<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Akihabara
 */

?>
    <div class='col-md-12 footer'>
        <div class='social-links'>
            <?php if(esc_url(get_theme_mod('facebook')) != '') {
                echo "<a href='".esc_url(get_theme_mod('facebook'))."' class='social-link'><img src='".esc_url(get_template_directory_uri())."/icons/facebook.png'></a>";
            }
            ?>
            <?php if(esc_url(get_theme_mod('googleplus')) != '') {
                echo "<a href='".esc_url(get_theme_mod('googleplus'))."' class='social-link'><img src='".esc_url(get_template_directory_uri())."/icons/googleplus.png'></a>";
            }
            ?>
            <?php if(esc_url(get_theme_mod('twitter') != '')) {
                echo "<a href='".esc_url(get_theme_mod('twitter'))."' class='social-link'><img src='".esc_url(get_template_directory_uri())."/icons/twitter.png'></a>";
            }
            ?>
            <?php if(esc_url(get_theme_mod('instagram')) != '') {
                echo "<a href='".esc_url(get_theme_mod('instagram'))."' class='social-link'><img src='".esc_url(get_template_directory_uri())."/icons/instagram.png'></a>";
            }
            ?>
            <?php if(esc_url(get_theme_mod('youtube') != '')) {
                echo "<a href='".esc_url(get_theme_mod('youtube'))."' class='social-link'><img src='".esc_url(get_template_directory_uri())."/icons/youtube.png'></a>";
            }
            ?>
        </div>
        <footer class="site-footer" role="contentinfo">
            <div class="site-info">
                <?php 
                // Edit these lines to customize your footer text ! If you like Akihabara, please, consider leaving a backlink to our website ! Thank you ! ?>
                <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'akihabara' ) ); ?>"><?php printf( esc_html__( 'Proudly powered by %s', 'akihabara' ), 'WordPress' ); ?></a>
                <span class="sep"> | </span>
                <?php printf( esc_html__( 'Theme: %1$s by %2$s.', 'akihabara' ), 'akihabara', '<a href="http://apps.meow.fr" rel="designer">MeowApps</a>' ); ?>
            </div><!-- .site-info -->
        </footer><!-- #colophon -->
    </div>
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
