<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Akihabara
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ) ; ?>/bootstrap.min.css">
    <script type="text/javascript" src="<?php echo esc_url( get_template_directory_uri() ) ; ?>/js/bootstrap.min.js"></script>
    <?php wp_head(); ?>
    <?php add_editor_style(); ?> 
</head>

<body <?php body_class(); ?>>
