<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Akihabara
 */

get_header(); ?>

        <?php get_template_part( 'template-parts/content', 'header' ); ?>

        <div class='homepage_wrap container'>
            <?php if ( have_posts() ) :
                get_template_part( 'template-parts/content', 'content' ); 
            else :
                get_template_part( 'template-parts/content', 'none' );
            endif;
            echo '<div class="col-md-12">';
                the_posts_navigation();
            echo '</div>';
            ?>
    <?php if(is_active_sidebar('footer')) { ?>
    <div class="col-md-12 widgets">
        <div class="col-md-3 left"></div>
        <div class="col-md-6 center">
            <div id="secondary" class="widget-area" role="complementary">
                <?php dynamic_sidebar( 'footer' ); ?>
            </div>
        </div>
    </div>
    <?php 
    }
    ?>
<?php get_footer(); ?>