<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Akihabara
 */

?>
<div class='home-button'>
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
        <button class="c-hamburger c-hamburger--htx">
            <span>toggle menu</span>
        </button>
    </a>
</div>
<?php if(has_post_thumbnail()) { ?>
    <div class='single_post_cover'>
        <div class='single_post_cover_img'>
            <?php the_post_thumbnail(); ?>
        </div>
        <div class='single_post_meta'>
            <h1><?php the_title(); ?></h1>
            <h3><?php the_author();printf(__(' on ', 'akihabara')); the_date(); ?></h3>
        </div>
    </div>

    <div class='single_post'>
        <div class='single_post_content'>
            <?php the_content(); ?>
        </div>
        
        <div class='post_navigation'>
            <div class='row'>
                <?php if(get_previous_post() !== '') { ?>
                    <div class='post-nav prev_post col-md-6'>
                        <?php printf(__('Previous Post', 'akihabara')); ?>
                        <h3><a href='<?php echo get_permalink(get_previous_post()->ID); ?>'><?php echo get_previous_post()->post_title; ?></a></h3>
                    </div>
                <?php } ?>

                <?php if(get_next_post() !== '') { ?>
                    <div class='post-nav next_post col-md-6'>
                        <?php printf(__('Next Post', 'akihabara')); ?>
                        <h3><a href='<?php echo get_permalink(get_next_post()->ID); ?>'><?php echo get_next_post()->post_title; ?></a></h3>
                    </div>
                <?php } 
                else {
                    wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink=page %');
                }
                ?>
            </div>
        </div>
<?php }
else { ?>
    <?php get_template_part( 'template-parts/content', 'header' ); ?>
    <div class='single_post no_thumb'  <?php post_class(); ?>>
        <div class='single_post_content'>
            <div class='page_title'>
                <h1><?php the_title(); ?></h1>
            </div>
            <hr/>
        <?php the_content(); ?>
        </div>
        <div class='post_navigation'>
            <div class='row'>
                <?php if(get_previous_post() !== '') { ?>
                    <div class='post-nav prev_post col-md-6'>
                        <?php printf(__('Previous Post', 'akihabara')); ?>
                        <h3><a href='<?php echo get_permalink(get_previous_post()->ID); ?>'><?php echo get_previous_post()->post_title; ?></a></h3>
                    </div>
                <?php } ?>

                <?php if(get_next_post() !== '') { ?>
                    <div class='post-nav next_post col-md-6'>
                        <?php printf(__('Next Post', 'akihabara')); ?>
                        <h3><a href='<?php echo get_permalink(get_next_post()->ID); ?>'><?php echo get_next_post()->post_title; ?></a></h3>
                    </div>
                <?php } 
                else {
                    wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink=page %');
                }
                ?>
            </div>
        </div>
<?php } ?>