<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Akihabara
 */

?>
<?php 
while ( have_posts() ) {
    the_post(); 
    $permalinks[] = get_the_permalink();
    $titles[] = get_the_title();
    $thumb_id = get_post_thumbnail_id();
    $thumb_urls[] = wp_get_attachment_image_src($thumb_id,'large', false)[0];
    $dates[] = get_the_date(); 
    $categories = get_the_category(); 
    $cat_name[] = $categories[0]->cat_name;
    $cat_id[] = $categories[0]->term_id;
}
$count = count($titles);
?>

<div class='row'>
    <a href='<?php echo $permalinks[0]; ?>'>
        <div class='col-md-12 post_wrap'>
            <div class='post_cover_bg'>
                <img src='<?php echo $thumb_urls[0]; ?>'>
            </div>
            <div class='post_meta'>
                <h2><?php echo $titles[0]; ?></h2>
                <date><?php echo $dates[0]; ?></date><br/><br/>
                <a href='<?php echo esc_url( get_category_link( $cat_id[0] ) ); ?>' class='cat_link'><?php echo $cat_name[0]; ?></a>
            </div>
        </div>   
    </a>
</div>

<?php
for($i=1; $i <= $count-1; $i++) {
?>
<?php if ($i % 2 != 0) { ?>
<div class='row'>
<?php } ?>
    <a href='<?php echo $permalinks[$i]; ?>'>
        <div class='col-md-6 post_wrap'>
            <div class='post_cover_bg'>
                <img src='<?php echo $thumb_urls[$i]; ?>'>
            </div>
            <div class='post_meta'>
                <h2><?php echo $titles[$i]; ?></h2>
                <date><?php echo $dates[$i]; ?></date><br/><br/>
                <a href='<?php echo esc_url( get_category_link( $cat_id[$i] ) ); ?>' class='cat_link'><?php echo $cat_name[$i]; ?></a>
            </div>
        </div>
    </a>
<?php if ($i % 2 == 0) { ?>
</div>
<?php } ?>
<?php
}
